INTERFACE
SUBROUTINE RADHEATN&
 & ( KIDIA , KFDIA , KLON , KLEV,&
 & PAPHM1 ,&
 & PEMIS , PEMTED , PMU0,&
 & PQM1,&
 & PTE , PTRSOL , PTRSOD , PTSM1M ,PTSPHY,&
 & PHRSW , PHRLW , PHRSC , PHRLC,&
 & PFRSO , PFRTH , PFRSOD , PFRTHD,&
 & PEMTEC , PTRSOC , PFRSOC , PFRTHC , PINCSR,&
 & PSUDU , PSDUR , PDSRP,&
 & PUVDFI , PPARFI , PPARCFI, PTINCFI, PFDIRI, PCDIRI,&
 & PUVDF , PPARF , PPARCF , PTINCF , PFDIR , PCDIR&
 & ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHM1(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMIS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMTED(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PMU0(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PQM1(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTRSOL(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PTRSOD(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTSM1M(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTSPHY
REAL(KIND=JPRB) ,INTENT(OUT) :: PHRSW(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PHRLW(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PHRSC(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PHRLC(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRSO(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRTH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRSOD(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRTHD(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMTEC(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PTRSOC(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRSOC(KLON,2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRTHC(KLON,2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PINCSR(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSUDU(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSDUR(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDSRP(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PUVDFI(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PPARFI(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PPARCFI(KLON), PTINCFI(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PUVDF(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PPARF(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PPARCF(KLON), PTINCF(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PFDIRI(KLON), PCDIRI(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFDIR (KLON), PCDIR (KLON)
END SUBROUTINE RADHEATN
END INTERFACE
